-- CAPG#26115: Inrichting voor koppeling bezoekerszuil (Securinet/Trigion)
-- $Revision$
-- $Id$

SET ECHO ON;
SPOOL xCAPG6.lst

INSERT INTO fac_usrtab
  (fac_usrtab_naam,
   fac_usrtab_omschrijving,
   fac_usrtab_view)
VALUES
  ('Geslacht',
   'Geslacht',
   'T');

INSERT INTO fac_usrdata
  (fac_usrtab_key,
   fac_usrdata_code,
   fac_usrdata_omschr)
SELECT fac_usrtab_key, 'M', 'Man'
  FROM fac_usrtab
 WHERE fac_usrtab_naam = 'Geslacht';

INSERT INTO fac_usrdata
  (fac_usrtab_key,
   fac_usrdata_code,
   fac_usrdata_omschr)
SELECT fac_usrtab_key, 'V', 'Vrouw'
  FROM fac_usrtab
 WHERE fac_usrtab_naam = 'Geslacht';

INSERT INTO fac_kenmerkdomein
  (fac_kenmerkdomein_module,
   fac_kenmerkdomein_omschrijving,
   fac_kenmerkdomein_objectnaam,
   fac_kenmerkdomein_kolomnaam,
   fac_kenmerkdomein_kolomtxt,
   fac_usrtab_key)
SELECT 'BEZ',
       'Geslacht',
       'FAC_USRDATA',
       'FAC_USRDATA_KEY',
       'FAC_USRDATA_OMSCHR',
       fac_usrtab_key
  FROM fac_usrtab
 WHERE fac_usrtab_naam = 'Geslacht';

INSERT INTO bez_kenmerk
  (bez_kenmerk_volgnr,
   bez_kenmerk_omschrijving,
   bez_kenmerk_kenmerktype,
   bez_kenmerk_verplicht,
   fac_kenmerkdomein_key)
SELECT 10,
       'Geslacht',
       'R',
       1,
       fac_kenmerkdomein_key
  FROM fac_kenmerkdomein
 WHERE fac_kenmerkdomein_module = 'BEZ'
   AND fac_kenmerkdomein_omschrijving = 'Geslacht';

INSERT INTO bez_kenmerk
  (bez_kenmerk_volgnr,
   bez_kenmerk_omschrijving,
   bez_kenmerk_kenmerktype,
   bez_kenmerk_lengte,
   bez_kenmerk_dimensie,
   bez_kenmerk_regexp)
VALUES
  (20,
   'Mobiel nr',
   'C',
   11,
   '06-',
   '06-[0-9]{8}');

INSERT INTO bez_kenmerk
  (bez_kenmerk_volgnr,
   bez_kenmerk_omschrijving,
   bez_kenmerk_kenmerktype,
   bez_kenmerk_lengte)
VALUES
  (30,
   'Kenteken',
   'C',
   10);

BEGIN adm.systrackscript('$Workfile: capg.sql $', '$Revision$', 0); END;
/
COMMIT;

SPOOL OFF;